# tasks file for windows_sql
- name: Create the configuration file 
  template:
    src: configurationfile.j2
    dest: 'C:\Windows\temp\ConfigurationFile.ini'

- name: Run the SQL installation
  win_shell: |
      $configfile= 'C:\Windows\temp\ConfigurationFile.ini'
      $command='D:\mssql\setup.exe /ConfigurationFile=$($configfile) /SAPWD="{{sa_password}}" /IACCEPTSQLSERVERLICENSETERMS'
      Invoke-Expression -Command $command
#        Invoke-Expression -Command 'D:\mssql\setup.exe /ConfigurationFile=C:\Windows\temp\ConfigurationFile.ini /SAPWD="{{sa_password}}" /IACCEPTSQLSERVERLICENSETERMS=1'
  become_method: runas
  register: sql_installation_out
  failed_when: "'Error' in sql_installation_out.stdout"

- name: Delete the configuration file after installation is complete
  win_file:
    path: 'C:\Windows\temp\ConfigurationFile.ini'
    state: absent

- name: Create folder to download SQL server manager
  win_file:
    state:  directory
    path: C:\Users\Administrator\Downloads\sql_server_manager

- name: Create folder to save log file for SQL server manager
  win_file:
    state:  directory
    path: C:\Users\Administrator\Downloads\sql_server_manager\logs
    

- name: Download SQL server manager installation  file
  win_get_url:
    url: https://aka.ms/ssmsfullsetup
    dest:  C:\Users\Administrator\Downloads\sql_server_manager\SSMS-Setup-ENU.exe

- name: Install SQL server manager
  win_command: C:\Users\Administrator\Downloads\sql_server_manager\SSMS-Setup-ENU.exe /install /quiet /norestart /log C:\Users\Administrator\Downloads\sql_server_manager\log.txt
  register: sql_manager_out
  failed_when: "'Error' in sql_manager_out.stdout"

- debug:
    msg: "The installation is complete"
- debug:
    var: sql_manager_out
